"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
// tslint:disable-next-line
var graphql_1 = require("@octokit/graphql");
function addGraphQL(client) {
    var graphqlRequest = client.request.defaults(__assign({}, (process.env.GHE_HOST ? { baseUrl: "https://" + process.env.GHE_HOST + "/api" } : {})));
    var graphql = graphql_1.withCustomRequest(graphqlRequest);
    client.graphql = function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        if (args[2]) {
            // tslint:disable-next-line:no-console
            console.warn("github.graphql: passing extra headers as 3rd argument is deprecated. You can pass headers in the 2nd argument instead, using the \"headers\" key:\n\n    github.graphql(query, { headers })\n\nSee https://probot.github.io/docs/github-api/#graphql-api");
            args[1] = Object.assign(args[1] || {}, { headers: args[2] });
        }
        return graphql(args[0], args[1]);
    };
    // tslint:disable-next-line:deprecation
    client.query = function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        // tslint:disable-next-line:no-console
        console.warn('github.query is deprecated. Use github.graphql instead');
        return client.graphql(args[0], args[1], args[2]);
    };
}
exports.addGraphQL = addGraphQL;
//# sourceMappingURL=graphql.js.map